Page MenuHomePhabricator

Create a button-only mode for SelectFileWidget
Closed, ResolvedPublic

Description

Such as might be used on UploadWizard:

It probably doesn't make sense to support this on SelectFileInputWidget, even though it would be possible.

Event Timeline

Esanders created this task.Mar 15 2019, 4:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 15 2019, 4:20 PM
Esanders updated the task description. (Show Details)Mar 15 2019, 4:22 PM

Change 496876 had a related patch set uploaded (by Esanders; owner: Esanders):
[oojs/ui@master] Support a button-only mode for SelectFileWidget

https://gerrit.wikimedia.org/r/496876

Change 496876 had a related patch set uploaded (by Esanders; owner: Esanders):
[oojs/ui@master] Support a button-only mode for SelectFileWidget

https://gerrit.wikimedia.org/r/496876

Volker_E moved this task from Backlog to Reviewing on the OOUI board.Mar 20 2019, 3:48 PM

Change 496876 merged by jenkins-bot:
[oojs/ui@master] Support a button-only mode for SelectFileWidget

https://gerrit.wikimedia.org/r/496876

Volker_E moved this task from Reviewing to OOUI-0.31.1 on the OOUI board.Mar 21 2019, 5:23 AM
Volker_E edited projects, added OOUI (OOUI-0.31.1); removed OOUI.

Change 498143 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.31.1

https://gerrit.wikimedia.org/r/498143

Jdforrester-WMF closed this task as Resolved.Mar 22 2019, 4:56 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF removed a project: Patch-For-Review.

Change 498143 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.31.1

https://gerrit.wikimedia.org/r/498143

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

This patch landed in MediaWiki master in time for 1.33.0-wmf.23, which will go out to Wikimedia production from 2019-03-26.